Skip to main content

Integration with Svelte

tip

You should be familiar with the basic concepts and patterns of Svelte before reading this documentation. To refresh your knowledge, please refer to the Svelte documentation.

DHTMLX Event Calendar is compatible with Svelte. We have prepared code examples on how to use DHTMLX Event Calendar with Svelte. For more information, refer to the corresponding Example on GitHub.

Creating a project

info

Before you start to create a new project, install Vite (optional) and Node.js.

There are several ways of creating a project:

or

  • you can also use Svelte with Vite (but without SvelteKit):
npm create vite@latest

Check the details in the related article.

Installation of dependencies

Let's name the project as my-svelte-event-calendar-app and go to the app directory:

cd my-svelte-event-calendar-app

Install dependencies and run the app. For this, use a package manager:

  • if you use yarn, run the following commands:
yarn install
yarn dev
  • if you use npm, run the following commands:
npm install
npm run dev

The app should run on a localhost (for instance http://localhost:3000).

Creating Event Calendar

Now you should get the DHTMLX Event Calendar code. First of all, stop the app and proceed with installing the Event Calendar package.

Step 1. Package installation

Download the trial Event Calendar package and follow steps mentioned in the README file. Note that trial Event Calendar is available 30 days only.

Step 2. Component creation

Now you need to create a Svelte component, to add a Event Calendar into the application. Let's create a new file in the src/ directory and name it EventCalendar.svelte.

Importing source files

Open the EventCalendar.svelte file and import Event Calendar source files. Note that:

  • if you use PRO version and install the Event Calendar package from a local folder, the import paths look like this:
EventCalendar.svelte
import { EventCalendar } from 'dhx-eventcalendar-package';
import 'dhx-eventcalendar-package/dist/event-calendar.css';

Note that depending on the used package, the source files can be minified. In this case make sure that you are importing the CSS file as event-calendar.min.css.

  • if you use the trial version of Event Calendar, specify the following paths:
EventCalendar.svelte
import { EventCalendar } from '@dhx/trial-eventcalendar';
import '@dhx/trial-eventcalendar/dist/event-calendar.css';

In this tutorial you can see how to configure the trial version of Event Calendar.

Setting the container and adding Event Calendar

To display Event Calendar on the page, you need to set the container to render the component inside. Check the code below:

EventCalendar.svelte
<script>
import { EventCalendar } from "@dhx/trial-eventcalendar";
import "@dhx/trial-eventcalendar/dist/event-calendar.min.css"

let container;
</script>

<div bind:this={container} style="width: 100%; height: 100%;"></div>

Then you need to render Event Calendar in the container. Use the new EventCalendar() constructor inside the onMount() method of Svelte, to initialize Event Calendar inside of the container:

EventCalendar.svelte
<script>
import { EventCalendar } from "@dhx/trial-eventcalendar";
import "@dhx/trial-eventcalendar/dist/event-calendar.css";
import { onMount } from "svelte";

let container;

onMount(() => {
const calendar = new EventCalendar(container,{});
});
</script>

<div bind:this={container} style="width: 100%; height: 100%;"></div>

Loading data

To add data into the Event Calendar, we need to provide a data set. You can create the data.js file in the src/ directory and add some data into it:

data.js
export function getData() {
return [
{
id: '27',
type: 'work',
start_date: new Date('2024-06-10T14:00:00'),
end_date: new Date('2024-06-10T18:30:00'),
text: ' Olympiastadion - Berlin ',
details: ' Berlin, GER '
},
{
id: '28',
type: 'rest',
start_date: new Date('2024-06-12T14:00:00'),
end_date: new Date('2024-06-12T16:00:00'),
text: ' Commerz Bank Arena ',
details: ' Frankfurt, GER '
},
{
id: '29',
type: 'meeting',
start_date: new Date('2024-06-13T11:00:00'),
end_date: new Date('2024-06-13T16:00:00'),
text: ' Olympic Stadium - Munich ',
details: ' Munich, GER '
}
];
}

Then open the App.svelte file, import data, and pass it into the new created <EventCalendar/> components as props:

App.svelte
<script>
// ...
import { getData } from "./data.js";
const events = getData();
</script>

<EventCalendar events={events} />

Open the EventCalendar.svelte file and apply the passed props to the Event Calendar configuration object:

EventCalendar.svelte
<script>
// ...
export let events; // props

let container;
onMount(() => {
new EventCalendar(container, { events })
});
</script>

<div bind:this={container} style="width: 100%; height: 100%;"></div>

You can also use the parse() method inside the onMount() method of Svelte to load data into Event Calendar:

App.svelte
<script>
// ...
export let events;
export let date;

let container;
onMount(() => {
const calendar = new EventCalendar(container, { date });
calendar.parse(events);
});
</script>
<!-- ... */}

Now the Event Calendar component is ready. When the element will be added to the page, it will initialize the Event Calendar object with data. You can provide necessary configuration settings as well. Visit our Event Calendar API docs to check the full list of available properties.

Handling events

When a user makes some action in the Event Calendar, it invokes an event. You can use these events to detect the action and run the desired code for it. See the full list of events.

Open EventCalendar.svelte and complete the onMount() method as in:

EventCalendar.svelte
onMount(() => {
const calendar = new EventCalendar(container, { columns, cards });
calendar.events.on("add-event", (obj) => {
console.log(obj);
});
});

Step 3. Adding Event Calendar into the app

To add the component into the app, open the App.svelte file and replace the default code with the following one:

App.svelte
<script>
import EventCalendar from "./EventCalendar.svelte";
import { getData } from "./data.js";

const events = getData();
</script>

<EventCalendar events={events} date={new Date(2024, 5, 10)} />

After that, you can start the app to see Event Calendar loaded with data on a page.

Event Calendar initialization

Now you know how to integrate DHTMLX Event Calendar with Svelte. You can customize the code according to your specific requirements. The final example you can find on GitHub.

Skip to main content

Integration with Vue

tip

You should be familiar with the basic concepts and patterns of Vue before reading this documentation. To refresh your knowledge, please refer to the Vue 3 documentation.

DHTMLX Event Calendar is compatible with Vue. We have prepared code examples on how to use DHTMLX Event Calendar with Vue 3. For more information, refer to the corresponding Example on GitHub.

Creating a project

info

Before you start to create a new project, install Node.js.

To create a Vue project, run the following command:

npm create vue@latest

This command installs and executes create-vue, the official Vue project scaffolding tool. Check the details in the Vue.js Quick Start.

Let's name the project as my-vue-event-calendar-app.

Installation of dependencies

Go to the app directory:

cd my-vue-event-calendar-app

Install dependencies and start the dev server. For this, use a package manager:

  • if you use yarn, run the following commands:
yarn install
yarn dev
  • if you use npm, run the following commands:
npm install
npm run dev

The app should run on a localhost (for instance http://localhost:3000).

Creating Event Calendar

Now you should get the DHTMLX Event Calendar code. First of all, stop the app and proceed with installing the Event Calendar package.

Step 1. Package installation

Download the trial Event Calendar package and follow steps mentioned in the README file. Note that trial Event Calendar is available 30 days only.

Step 2. Component creation

Now you need to create a Vue component, to add a Event Calendar into the application. Create a new file in the src/components/ directory and name it EventCalendarComponent.

Importing source files

Open the EventCalendarComponent.vue file and import Event Calendar source files. Note that:

  • if you use PRO version and install the Event Calendar package from a local folder, the import paths look like this:
EventCalendarComponent.vue
import { EventCalendar } from 'dhx-eventcalendar-package';
import 'dhx-eventcalendar-package/dist/event-calendar.css';

Note that depending on the used package, the source files can be minified. In this case make sure that you are importing the CSS file as event-calendar.min.css.

  • if you use the trial version of Event Calendar, specify the following paths:
EventCalendarComponent.vue
import { EventCalendar } from '@dhx/trial-eventcalendar';
import '@dhx/trial-eventcalendar/dist/event-calendar.css';

In this tutorial you can see how to configure the trial version of Event Calendar.

Setting the container and adding Event Calendar

To display Event Calendar on the page, you need to set the container to render the component inside. Check the code below:

EventCalendarComponent.vue
<script>
import { EventCalendar } from "@dhx/trial-eventcalendar";
import "@dhx/trial-eventcalendar/dist/event-calendar.css";
</script>

<template>
<div ref="container" style="width: 100%; height: 100%; "></div>
</template>

Then you need to render Event Calendar in the container. Use the new EventCalendar() constructor inside the mounted() method of Vue to initialize Event Calendar inside of the container:

EventCalendarComponent.vue
<script>
// ...
export default {
mounted: function() {
this.calendar = new EventCalendar(this.$refs.container, {});
}
};
</script>

<template>
<div ref="container" style="width: 100%; height: 100%; "></div>
</template>

To clear the component as it has unmounted, use the calendar.destructor() method and remove the container inside the unmounted() method of Vue.js, as follows:

EventCalendarComponent.vue
<script>
export default {
mounted: function() {
this.calendar = new EventCalendar(this.$refs.container, {});
},

unmounted() {
this.calendar.destructor();
this.$refs.container.innerHTML = "";
}
}
</script>

<template>
<div ref="container" style="width: 100%; height: 100%;"></div>
</template>

Loading data

To add data into the Event Calendar, you need to provide a data set. You can create the data.js file in the src/ directory and add some data into it:

data.js
export function getData() {
return [
{
id: '27',
type: 'work',
start_date: new Date('2024-06-10T14:00:00'),
end_date: new Date('2024-06-10T18:30:00'),
text: ' Olympiastadion - Berlin ',
details: ' Berlin, GER '
},
{
id: '28',
type: 'rest',
start_date: new Date('2024-06-12T14:00:00'),
end_date: new Date('2024-06-12T16:00:00'),
text: ' Commerz Bank Arena ',
details: ' Frankfurt, GER '
},
{
id: '29',
type: 'meeting',
start_date: new Date('2024-06-13T11:00:00'),
end_date: new Date('2024-06-13T16:00:00'),
text: ' Olympic Stadium - Munich ',
details: ' Munich, GER '
}
];
}

Then open the App.vue file, import data, and initialize it via the inner data() method. After this you can pass data into the new created <EventCalendar/> components as props:

App.vue
<script>
// ...
import { getData } from "./data";

export default {
// ...
data() {
return {
records: getData(),
date: new Date(2024, 5, 10)
};
}
};
</script>

<template>
<EventCalendar :events="records" :date="date" />
</template>

Open the EventCalendarComponent.vue file and apply the passed props to the Event Calendar configuration object:

EventCalendarComponent.vue
<script>
export default {
props: ["events", "date"],

mounted() {
this.calendar = new EventCalendar(this.$refs.container, {
events: this.events,
date: this.date
});
}
}
</script>

You can also use the parse() method inside the mounted() method of Vue to load data into Event Calendar:

EventCalendarComponent.vue
<script>
export default {
props: ["events", "date"],

mounted() {
this.calendar = new EventCalendar(this.$refs.cont, {});
this.calendar.parse({ events: this.events, date: this.date });
}
}
</script>

Now the Event Calendar component is ready. When the element will be added to the page, it will initialize the Event Calendar object with data. You can provide necessary configuration settings as well. Visit our Event Calendar API docs to check the full list of available properties.

Handling events

When a user makes some action in the Event Calendar, it invokes an event. You can use these events to detect the action and run the desired code for it. See the full list of events.

Open EventCalendarComponent.vue and complete the mounted() method:

EventCalendarComponent.vue
<script>
export default {
// ...
mounted() {
this.calendar = new EventCalendar(this.$refs.cont, {});
this.calendar.events.on("add-event", (obj) => {
console.log(obj);
});
}
}
</script>

Step 3. Adding Event Calendar into the app

To add the component into the app, open the App.vue file and replace the default code with the following one:

App.vue
<script>
import EventCalendar from "./components/EventCalendarComponent.vue";
import { getData } from "./data";

export default {
components: { EventCalendar },
data() {
return {
events: getData(),
date: new Date(2024, 5, 10)
};
}
};
</script>

<template>
<EventCalendar :events="records" :date="date" />
</template>

After that, you can start the app to see Event Calendar loaded with data on a page.

Event Calendar initialization

Now you know how to integrate DHTMLX Event Calendar with Vue. You can customize the code according to your specific requirements. The final example you can find on GitHub.

Skip to main content

Integration with Angular

tip

You should be familiar with basic concepts and patterns of Angular before reading this documentation. To refresh your knowledge, please refer to the Angular documentation.

DHTMLX Event Calendar is compatible with Angular. We have prepared code examples on how to use DHTMLX Event Calendar with Angular. For more information, refer to the corresponding Example on GitHub.

Creating a project

info

Before you start to create a new project, install Angular CLI and Node.js.

Create a new my-angular-event-calendar-app project using Angular CLI. Run the following command for this purpose:

ng new my-angular-event-calendar-app

The command above installs all the necessary tools and dependencies, so you don't need to run any additional commands.

Installation of dependencies

Go to the app directory:

cd my-angular-event-calendar-app

Run the app with the following commands:

yarn install
yarn start

The app should run on a localhost (for instance http://localhost:3000).

Creating Event Calendar

Now you should get the DHTMLX Event Calendar code. First of all, stop the app and proceed with installing the Event Calendar package.

Step 1. Package installation

Download the trial Event Calendar package and follow steps mentioned in the README file. Note that trial Event Calendar is available 30 days only.

Step 2. Component creation

Now you need to create a component, to add an Event Calendar into the application. Create the event-calendar folder in the src/app/ directory, add a new file into it and name it event-calendar.component.ts. Then complete the steps described below.

Importing source files

Open the file and import Event Calendar source files. Note that:

  • if you use PRO version and install the Event Calendar package from a local folder, the imported paths look like this:
import { EventCalendar } from 'dhx-eventcalendar-package';
  • if you use the trial version of Event Calendar, specify the following paths:
import { EventCalendar } from '@dhx/trial-eventcalendar';

In this tutorial you can see how to configure the trial version of Event Calendar.

Setting the container and adding Event Calendar

To display Event Calendar on the page, you need to set the container to render the component inside. Use the code below:

event-calendar.component.ts
import { EventCalendar } from '@dhx/trial-eventcalendar';
import { Component, ElementRef, OnInit, ViewChild, OnDestroy} from '@angular/core';

@Component({
selector: 'event-calendar',
template: '<div #container></div>'
})
export class EventCalendarComponent implements OnInit {
@ViewChild('container', { static: true }) container!: ElementRef;
}

Then you need to render our Event Calendar in the container. To do that, use the ngOnInit() method of Angular:

event-calendar.component.ts
export class EventCalendarComponent implements OnInit, OnDestroy {
@ViewChild('container', { static: true }) container!: ElementRef;

private _calendar: any;

ngOnInit() {
const calendar = new EventCalendar(this.container.nativeElement,{});
this._calendar = calendar;
}

ngOnDestroy() {
this._calendar.destructor();
}
}

In the above code you also specified the ngOnDestroy() method that contains the _calendar.destructor() expression to clear the component when it is no longer needed.

Loading data

To add data into Event Calendar, you need to provide a data set. You can create the data.ts file in the src/app/event-calendar/ directory and add some data into it:

data.ts
export function getData() {
return [
{
id: '27',
type: 'work',
start_date: new Date('2024-06-10T14:00:00'),
end_date: new Date('2024-06-10T18:30:00'),
text: ' Olympiastadion - Berlin ',
details: ' Berlin, GER '
},
{
id: '28',
type: 'rest',
start_date: new Date('2024-06-12T14:00:00'),
end_date: new Date('2024-06-12T16:00:00'),
text: ' Commerz Bank Arena ',
details: ' Frankfurt, GER '
},
{
id: '29',
type: 'meeting',
start_date: new Date('2024-06-13T11:00:00'),
end_date: new Date('2024-06-13T16:00:00'),
text: ' Olympic Stadium - Munich ',
details: ' Munich, GER '
}
];
}

Then open the event-calendar.component.ts file. Import the file with data and specify the corresponding data properties to the configuration object of Event Calendar within the ngOnInit() method, as shown below.

event-calendar.component.ts
// importing the data file
import { getData } from './data';

ngOnInit() {
const events = getData();
const calendar = new EventCalendar(this.container.nativeElement, {
events
});
}

You can also use the parse() method inside the ngOnInit() method of Angular to load data into Event Calendar. It will reload data on each applied change.

event-calendar.component.ts
// importing the data file
import { getData } from './data';

ngOnInit() {
const events = getData();
const calendar = new EventCalendar(this.container.nativeElement, {});

calendar.parse(events);
}

Now the Event Calendar component is ready. When the element will be added to the page, it will initialize the Event Calendar object with data. You can provide necessary configuration settings as well. Visit our Event Calendar API docs to check the full list of available properties.

Handling events

When a user makes some action in the Event Calendar, it invokes an event. You can use these events to detect the action and run the desired code for it. See the full list of events.

Open the event-calendar.component.ts file and complete the ngOnInit() method as in:

event-calendar.component.ts
ngOnInit() {
const calendar = new EventCalendar(this.container.nativeElement,{ /*...*/ });

calendar.events.on("add-event", (obj) => {
console.log(obj);
});
}

Step 3. Adding Event Calendar into the app

Now it's time to add the component into your app. Open src/app/app.component.ts and use EventCalendarComponent instead of the default content by inserting the code below:

app.component.ts
import { Component } from "@angular/core";

@Component({
selector: "app-root",
template: `<event-calendar/>`
})
export class AppComponent {
name = "";
}

Then create the app.module.ts file in the src/app/ directory and insert the EventCalendarComponent as provided below:

app.module.ts
import { NgModule } from "@angular/core";
import { BrowserModule } from "@angular/platform-browser";

import { AppComponent } from "./app.component";
import { EventCalendarComponent } from "./event-calendar/event-calendar.component";

@NgModule({
declarations: [AppComponent, EventCalendarComponent],
imports: [BrowserModule],
providers: [],
bootstrap: [AppComponent]
})
export class AppModule {}

The last step is to open the src/main.ts file and replace the existing code with the following one:

main.ts
import { platformBrowserDynamic } from "@angular/platform-browser-dynamic";
import { AppModule } from "./app/app.module";
platformBrowserDynamic()
.bootstrapModule(AppModule)
.catch((err) => console.error(err));

After that, you can start the app to see Event Calendar loaded with data on a page.

Event Calendar initialization

Now you know how to integrate DHTMLX Event Calendar with Angular. You can customize the code according to your specific requirements. The final example you can find on GitHub.

Skip to main content

Integration with React

tip

You should be familiar with the basic concepts and patterns of React before reading this documentation. To refresh your knowledge, please refer to the React documentation.

DHTMLX Event Calendar is compatible with React. We have prepared code examples on how to use DHTMLX Event Calendar with React. For more information, refer to the corresponding Example on GitHub.

Creating a project

info

Before you start to create a new project, install Vite (optional) and Node.js.

You can create a basic React project or use React with Vite:

npx create-vite my-react-event-calendar-app --template react

Installation of dependencies

Go to the app directory. Let's name the project as my-react-event-calendar-app and run:

cd my-react-event-calendar-app

Install dependencies and start the dev server. For this, use a package manager:

  • if you use yarn, run the following commands:
yarn install
yarn dev
  • if you use npm, run the following commands:
npm install
npm run dev

The app should run on a localhost (for instance http://localhost:3000).

Creating Event Calendar

Now you should get the DHTMLX Event Calendar code. First of all, stop the app and proceed with installing the Event Calendar package.

Step 1. Package installation

Download the trial Event Calendar package and follow steps mentioned in the README file. Note that trial Event Calendar is available 30 days only.

Step 2. Component creation

Now you need to create a React component, to add a Event Calendar into the application. Create a new file in the src/ directory and name it EventCalendar.jsx.

Importing source files

Open the EventCalendar.jsx file and import Event Calendar source files. Note that:

  • if you use PRO version and install the Event Calendar package from a local folder, the import paths look like this:
EventCalendar.jsx
import { EventCalendar } from 'dhx-eventcalendar-package';
import 'dhx-eventcalendar-package/dist/event-calendar.css';

Note that depending on the used package, the source files can be minified. In this case make sure that you are importing the CSS file as event-calendar.min.css.

  • if you use the trial version of Event Calendar, specify the following paths:
EventCalendar.jsx
import { EventCalendar } from '@dhx/trial-eventcalendar';
import "@dhx/trial-eventcalendar/dist/event-calendar.css";

In this tutorial you can see how to configure the trial version of Event Calendar.

Setting the container and adding Event Calendar

To display Event Calendar on the page, you need to set the container to render the component inside. Check the code below:

EventCalendar.jsx
import { EventCalendar } from '@dhx/trial-eventcalendar';
import '@dhx/trial-eventcalendar/dist/event-calendar.css';

// eslint-disable-next-line react/prop-types
const EventCalendarComponent = () => {
let container = useRef();

return <div ref={container} style={{ width: "100%", height: "100%" }}></div>;
};

export default EventCalendarComponent;

Then you need to add Event Calendar into the container. For this purpose, import the useEffect() method of React and use it to render the Event Calendar instance and destruct when it is no longer needed:

EventCalendar.jsx
// ...
import { useEffect, useRef} from "react";

// eslint-disable-next-line react/prop-types
const EventCalendarComponent = () => {
let container = useRef();

useEffect(() => {
new EventCalendar(container.current, {});

return () => (container.current.innerHTML = "");
}, []);

return <div ref={container} style={{ width: "100%", height: "100%" }}></div>;
};

export default EventCalendarComponent;

Loading data

To add data into the Event Calendar, you need to provide a data set. You can create the data.js file in the src/ directory and add some data into it:

data.js
export function getData() {
return [
{
id: '27',
type: 'work',
start_date: new Date('2024-06-10T14:00:00'),
end_date: new Date('2024-06-10T18:30:00'),
text: ' Olympiastadion - Berlin ',
details: ' Berlin, GER '
},
{
id: '28',
type: 'rest',
start_date: new Date('2024-06-12T14:00:00'),
end_date: new Date('2024-06-12T16:00:00'),
text: ' Commerz Bank Arena ',
details: ' Frankfurt, GER '
},
{
id: '29',
type: 'meeting',
start_date: new Date('2024-06-13T11:00:00'),
end_date: new Date('2024-06-13T16:00:00'),
text: ' Olympic Stadium - Munich ',
details: ' Munich, GER '
}
];
}

Then open the App.js file and import data. After this you can pass data into the new created <EventCalendar/> components as props:

App.jsx
import EventCalendar from "./EventCalendar";
import { getData } from "./data";

function App() {
const events = getData();
return <EventCalendar events={events} date={new Date(2024, 5, 10)} />;
}

export default App;

Open the EventCalendar.jsx file and apply the passed props to the Event Calendar configuration object:

EventCalendar.jsx
const EventCalendarComponent = (props) => {
let container = useRef();

const { events, date } = props;

useEffect(() => {
new EventCalendar(container.current, {
events,
date
});
return () => (container.current.innerHTML = "");
}, []);

return <div ref={container}></div>;
};

export default EventCalendarComponent;

You can also use the parse() method inside the useEffect() method of React to load data into Event Calendar:

EventCalendar.jsx
const EventCalendarComponent = (props) => {
let container = useRef();

const { events, date } = props;

useEffect(() => {
const calendar = new EventCalendar(container.current, {});

calendar.parse({ events, date });

return () => (container.current.innerHTML = "");
}, []);

return <div ref={container}></div>;
};

export default EventCalendarComponent;

The calendar.parse(data); line provides data reloading on each applied change.

Now the Event Calendar component is ready. When the element will be added to the page, it will initialize the Event Calendar object with data. You can provide necessary configuration settings as well. Visit our Event Calendar API docs to check the full list of available properties.

Handling events

When a user makes some action in the Event Calendar, it invokes an event. You can use these events to detect the action and run the desired code for it. See the full list of events.

Open EventCalendar.jsx and complete the useEffect() method in the following way:

EventCalendar.jsx
useEffect(() => {
const calendar = new EventCalendar(container.current, {});

calendar.events.on("add-event", (obj) => {
console.log(obj);
});

return () => (container.current.innerHTML = "");
}, []);

Step 3. Adding Event Calendar into the app

To add the component into our app, open the App.jsx file and replace the default code with the following one:

App.jsx
import EventCalendar from "./EventCalendar";
import { getData } from "./data";

function App() {
const events= getData();
return <EventCalendar events={events} date={new Date(2024, 5, 10)} />;
}

export default App;

After that, you can start the app to see Event Calendar loaded with data on a page.

Event Calendar initialization

Now you know how to integrate DHTMLX Event Calendar with React. You can customize the code according to your specific requirements. The final example you can find on GitHub.